Class | Bio::Spidey::Report::SeqDesc
In: | lib/bio/appl/spidey/report.rb
Parent: | Object

SeqDesc stores sequence information of query or subject.

### Methods

new parse

### Attributes

definition | [R] | Definition of the sequence.
entry_id | [R] | Identifier of the sequence.
len | [R] | Length of the sequence.

### Public Class methods

new(seqid, seqdef, len)

Creates a new SeqDesc object. It is designed to be called from Bio::Spidey::Report::* classes. Users shall not call it directly.

[Source]

        # File lib/bio/appl/spidey/report.rb, line 84
    84:         def initialize(seqid, seqdef, len)
    85:           @entry_id   = seqid
    86:           @definition = seqdef
    87:           @len        = len
    88:         end

parse(str)

Parses piece of Spidey result text and creates a new SeqDesc object. It is designed to be called from Bio::Spidey::Report::* classes. Users shall not call it directly.

[Source]

         # File lib/bio/appl/spidey/report.rb, line 102
    102:         def self.parse(str)
    103:           /^(Genomic|mRNA)\:\s*(([^\s]*) (.+))\, (\d+) bp\s*$/ =~ str.to_s
    104:           seqid  = $3
    105:           seqdef = $2
    106:           len    = ($5 ? $5.to_i : nil)
    107:           self.new(seqid, seqdef, len)
    108:         end

[Validate]